utl::spi_i_details Namespace Reference

## Classes

struct | is_spi_
| Primary template to catch any non SPI interface types. More...
struct | is_spi_< _Tp, meta::void_t< meta::use_if_same_t< try_cclock_t< _Tp >, uint32_t >, meta::use_if_same_t< try_clock_t< _Tp >, void >, meta::use_if_same_t< try_tx_t< _Tp >, byte_t >, meta::use_if_same_t< try_rx_t< _Tp >, byte_t > > >
| template to catch a proper SPI interface type More...

## Typedefs

template<class _Tp >
using | try_cclock_t = decltype(declval< const _Tp >().clock())
template<class _Tp >
using | try_clock_t = decltype(declval< _Tp >().clock(declval< uint32_t >()))
template<class _Tp >
using | try_tx_t = decltype(declval< _Tp >().tx_data(declval< byte_t >()))
template<class _Tp >
using | try_rx_t = decltype(declval< _Tp >().rx_data())

## Detailed Description

i2c interface concept

## Typedef Documentation

## try_cclock_t

template<class _Tp >

using utl::spi_i_details::try_cclock_t = typedef decltype (declval<const _Tp>().clock())

Definition at line 298 of file spi.h.

## try_clock_t

template<class _Tp >

using utl::spi_i_details::try_clock_t = typedef decltype (declval<_Tp>().clock(declval<uint32_t>()))

Definition at line 299 of file spi.h.

## try_rx_t

template<class _Tp >

using utl::spi_i_details::try_rx_t = typedef decltype (declval<_Tp>().rx_data())

Definition at line 301 of file spi.h.

## try_tx_t

template<class _Tp >

using utl::spi_i_details::try_tx_t = typedef decltype (declval<_Tp>().tx_data(declval<byte_t>()))

Definition at line 300 of file spi.h.